Skip to main content
GET
/
estimate
Get best-rate estimate for a swap
curl --request GET \
  --url https://api.privataswap.com/partner/v1/estimate
import requests

url = "https://api.privataswap.com/partner/v1/estimate"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.privataswap.com/partner/v1/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "from": "<string>",
  "to": "<string>",
  "amount_from": "<string>",
  "amount_to": "<string>",
  "rate": "<string>",
  "provider": "exolix",
  "eta_seconds": 1800,
  "quote_id": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "markup_applied_bps": 123,
  "warnings": [
    "<string>"
  ]
}
{
"error": {
"message": "<string>",
"request_id": "<string>"
}
}

Query Parameters

from
string
required
Example:

"BTC"

to
string
required
Example:

"XMR"

from_network
string
Example:

"btc"

to_network
string
Example:

"xmr"

amount
string
required
Example:

"0.05"

side
enum<string>
default:send
Available options:
send,
receive
include
enum<string>

Set to all to receive quotes from every provider.

Available options:
best,
all

Response

OK

from
string
to
string
amount_from
string
amount_to
string
rate
string
provider
string
Example:

"exolix"

eta_seconds
integer
Example:

1800

quote_id
string
expires_at
string<date-time>
markup_applied_bps
integer
warnings
string[]